package com.ruoyi.nanjing.mapper;

import java.util.List;
import com.ruoyi.nanjing.domain.TSyStationparameternotes;

/**
 * 工位参数定义Mapper接口
 * 
 * @author limy
 * @date 2021-01-27
 */
public interface TSyStationparameternotesMapper 
{
    /**
     * 查询工位参数定义
     * 
     * @param id 工位参数定义ID
     * @return 工位参数定义
     */
    public TSyStationparameternotes selectTSyStationparameternotesById(Long id);

    /**
     * 查询工位参数定义列表
     * 
     * @param tSyStationparameternotes 工位参数定义
     * @return 工位参数定义集合
     */
    public List<TSyStationparameternotes> selectTSyStationparameternotesList(TSyStationparameternotes tSyStationparameternotes);

    /**
     * 新增工位参数定义
     * 
     * @param tSyStationparameternotes 工位参数定义
     * @return 结果
     */
    public int insertTSyStationparameternotes(TSyStationparameternotes tSyStationparameternotes);

    /**
     * 修改工位参数定义
     * 
     * @param tSyStationparameternotes 工位参数定义
     * @return 结果
     */
    public int updateTSyStationparameternotes(TSyStationparameternotes tSyStationparameternotes);

    /**
     * 删除工位参数定义
     * 
     * @param id 工位参数定义ID
     * @return 结果
     */
    public int deleteTSyStationparameternotesById(Long id);

    /**
     * 批量删除工位参数定义
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTSyStationparameternotesByIds(String[] ids);

    TSyStationparameternotes getParaVal(String stationID, String para);

    List<TSyStationparameternotes> selectByStationID(String stationID);

}
